TASK_PARTICIPATE_GRO(9)

NAME
task_participate_group_stop - participate in a group stop

SYNOPSIS

bool task_participate_group_stop(struct task_struct * task);

ARGUMENTS

task
    task participating in a group stop

DESCRIPTION

task has JOBCTL_STOP_PENDING set and is participating in a group stop. Group stop states are cleared and the group stop count is consumed if JOBCTL_STOP_CONSUME was set. If the consumption completes the group stop, the appropriate SIGNAL_* flags are set.

CONTEXT

Must be called with task->sighand->siglock held.

RETURNS

true if group stop completion should be notified to the parent, false otherwise.

COPYRIGHT